Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Interface QuerySystem

All Known Implementing Classes:
  DefaultQuerySystem

public interface QuerySystem
extends DataCollectionListener

... Conventions:

- QuerySystem should has public constructor with DataCollection argument This constructor is used by DataCollectioInfo to create QuerySystem.
Example:

    public class SequenceQuerySystem implements QuerySystem
    {
    public SequenceQuerySystem(DataCollection dc)
    {
    ...
    }
    ...
    }

    All index files used by QuerySystem are registered by DataCollectionInfo.
    Latter this information is used to correctly remove all data collection files.

    close all indexes when QuerySystem is closed or finalised.

Field Summary
`final static String` | `INDEX_BLOCK_SIZE`
`final static String` | `INDEX_LIST` List of index names delimited by semicolon.
`final static String` | `QUERY_SYSTEM_CLASS`

Method Summary
`void` | `close()` Closes all indexes and releases any system resources associated with them stream.
`Index` | `getIndex(String name)`
`Index[]` | `getIndexes()`

Methods inherited from interface ru.biosoft.access.DataCollectionListener
`elementAdded, elementChanged, elementRemoved, elementWillAdd, elementWillChange, elementWillRemove`

Field Detail

### INDEX_BLOCK_SIZE

    public final static String INDEX_BLOCK_SIZE

### INDEX_LIST

    public final static String INDEX_LIST

  List of index names delimited by semicolon.

### QUERY_SYSTEM_CLASS

    public final static String QUERY_SYSTEM_CLASS

Method Detail

### close

    public void close()

  Closes all indexes and releases any system resources associated with them stream. A closed QuerySystem cannot be reopened.

### getIndex

    public Index getIndex(String name)

  Returns: index by its name

### getIndexes

    public Index[] getIndexes()

  Returns: all indexes supported by this QuerySystem.

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

  List of index names delimited by semicolon.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM